<?php
//***** Installer Exec-PHP *****
require_once(ABSPATH . 'wp-admin/upgrade.php');
//***Installer variables***
global $wpdb;
$table_name = $wpdb->prefix . "ecadmanager_ads";
$ECadmanager_db_version = "1";
//***Installer***
if($wpdb->get_var("SHOW TABLES LIKE '$table_name'") != $table_name) {
$sql = "CREATE TABLE " . $table_name . " (
	  id int(12) NOT NULL auto_increment,
	  slot int(2) NOT NULL,
	  name text NOT NULL,
	  start_date varchar(12) NOT NULL,
	  end_date varchar(12) NOT NULL,
	  status int(1) NOT NULL,
	  target text NOT NULL,
	  image_url text NOT NULL,
	  PRIMARY KEY  (id)
	);";
dbDelta($sql);

$table_name2 = $wpdb->prefix."ecadmanager_names";
$sql = "CREATE TABLE " . $table_name2 . " (
	  id int(12) NOT NULL auto_increment,
	  name text NOT NULL,
	  target text NOT NULL,
	  image_url text NOT NULL,
	  PRIMARY KEY  (id)
	);";
dbDelta($sql);
}

//*** Insert Pages ***
$var01 = get_option("ECadmanager_pid_sell");
$var02 = get_option("ECadmanager_pid_notify");
$var03 = get_option("ECadmanager_pid_cancel");
$var04 = get_option("ECadmanager_pid_success");

wp_delete_post($var01);
wp_delete_post($var02);
wp_delete_post($var03);
wp_delete_post($var04);

delete_option("ECadmanager_pid_sell");
delete_option("ECadmanager_pid_notify");
delete_option("ECadmanager_pid_cancel");
delete_option("ECadmanager_pid_success");

$ecad_pagesell = array();
$ecad_pagesell['post_status'] = 'publish';
$ecad_pagesell['post_author'] = $user_id;
$ecad_pagesell['comment_status'] = 'closed';
$ecad_pagesell['post_type'] = 'page';

//Sell
$ecad_pagesell['post_title'] = 'Entrecard Ad';
$ecad_pagesell['post_content'] = "<?php include_once \$_SERVER['DOCUMENT_ROOT'].'/wp-content/plugins/ECadmanager/pagesell.inc' ; ?>";
wp_insert_post($ecad_pagesell);
$pid_sell = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_title='Entrecard Ad'");
//Notify
$ecad_pagesell['post_title'] = 'Entrecard Ad Notify';
$ecad_pagesell['post_content'] = "<?php include_once \$_SERVER['DOCUMENT_ROOT'].'/wp-content/plugins/ECadmanager/pagenotify.inc'; ?>";
wp_insert_post($ecad_pagesell);
$pid_notify = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_title='Entrecard Ad Notify'");
//Success
$ecad_pagesell['post_title'] = 'Entrecard Ad Success';
$ecad_pagesell['post_content'] = "<?php include_once \$_SERVER['DOCUMENT_ROOT'].'/wp-content/plugins/ECadmanager/pagesuccess.inc'; ?>";
wp_insert_post($ecad_pagesell);
$pid_success = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_title='Entrecard Ad Success'");
//Cancel
$ecad_pagesell['post_title'] = 'Entrecard Ad Cancel';
$ecad_pagesell['post_content'] = "<?php include_once \$_SERVER['DOCUMENT_ROOT'].'/wp-content/plugins/ECadmanager/pagecancel.inc'; ?>";
wp_insert_post($ecad_pagesell);
$pid_cancel = $wpdb->get_var("SELECT ID FROM $wpdb->posts WHERE post_title='Entrecard Ad Cancel'");

add_option("ECadmanager_ad_orientation", "1c");
add_option("ECadmanager_num_slots", "5");
add_option("ECadmanager_ad_order", "random");
add_option("ECadmanager_widget_title", "Entrecard Ads");
add_option("ECadmanager_dofollow", "");
add_option("ECadmanager_sellerid","");
add_option("ECadmanager_sellersecret","");
add_option("ECadmanager_cost","500");
add_option("ECadmanager_emailalertsell","");
add_option("ECadmanager_emailalertexp","");
add_option("ECadmanager_defaultad", ECadmanager_get_plugin_dir('url')."/youradhere.jpg");
add_option("ECadmanager_db_version", $ECadmanager_db_version);
add_option("ECadmanager_pid_sell", $pid_sell);
add_option("ECadmanager_pid_notify", $pid_notify);
add_option("ECadmanager_pid_success", $pid_success);
add_option("ECadmanager_pid_cancel", $pid_cancel);
add_option("ECadmanager_dir", ECadmanager_get_plugin_dir('url')."/");

//***** End Installer *****
?>